Name:           perl-WWW-Search
Version:        2.497
Release:        2%{?dist}

Summary:        Virtual base class for WWW searches

Group:          Development/Libraries
License:        BSD
URL:            http://search.cpan.org/dist/WWW-Search/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MT/MTHURN/WWW-Search-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Capture)
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(HTML::TreeBuilder)
BuildRequires:  perl(Test::File)
BuildRequires:  perl(User)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(HTTP::Cookies)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This class is the parent for all access methods supported by the WWW::Search
library. This library implements a Perl API to web-based search engines. See
README for a list of search engines currently supported, and for a lot of
interesting high-level information about this distribution. Search results can
be limited, and there is a pause between each request to avoid overloading
either the client or the server.


%prep
%setup -q -n WWW-Search-%{version}
%{__perl} -pi -e 's|/usr/local/bin/perl|%{_bindir}/perl|g;' lib/WWW/Search/*.pm
for i in $(find lib/WWW -type f -name *.pm); do {
  chmod a-x $i;
  sed -i 's/\r//' $i;
};
done;
sed -i 's/\r//' Changes README;
chmod a-x Changes README;


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/AutoSearch
%{_bindir}/WebSearch
%{perl_vendorlib}/*
%{_mandir}/man1/*Search.1.gz
%{_mandir}/man3/WWW::Search*3pm.gz


%changelog
* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.497-2
- rebuild for new perl (again)

* Fri Feb 15 2008 Xavier Bachelot <xavier@bachelot.org> - 2.497-1
- New upstream version.

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.496-4
- rebuild for new perl

* Mon Jan 21 2008 Xavier Bachelot <xavier@bachelot.org> - 2.496-3
- Fix License:.

* Mon Jan 07 2008 Xavier Bachelot <xavier@bachelot.org> - 2.496-2
- Add missing BRs.

* Sat Dec 22 2007 Xavier Bachelot <xavier@bachelot.org> - 2.496-1
- Update to 2.496.
- Clean up spec.

* Wed Jul 26 2006 Xavier Bachelot <xavier@bachelot.org> - 2.488-1
- Initial build.
